##### basic_signal_set::basic_signal_set (2 of 8 overloads)

Construct a signal set without adding any signals.

    template<
        typename ExecutionContext>
    basic_signal_set(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor creates a signal set without registering for any signals.

###### Parameters

context

  An execution context which provides the I/O executor that the signal set will use, by default, to dispatch handlers for any asynchronous operations performed on the signal set.